#pragma once

#include "Enemy/LMEnemyRatio.h"
#include "LMWaveStructure.generated.h"

USTRUCT(BlueprintType)
struct FLMWaveStructure : public FTableRowBase
{
	GENERATED_BODY()

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category="Legumix")
	TArray<FLMEnemyRatio> WaveComposition;
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category="Legumix", meta = (ClampMin = 0))
	int EnemyCount;
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category="Legumix", meta = (ClampMin = 0))
	int MaxEnemyCount;
};
